/*
 * comm.h
 *
 * Created: 2016-05-11 13:13:16
 *  Author: dsosnowski
 */ 


#ifndef COMM_H_
#define COMM_H_

void CommInit(void);
void CommGetMsg(char offset);
void CommProc(void);

char CommTextFind(char offset, char data, char num);
char CommTextComp(char i, char *model);
char CommTextSkip(char i);
char CommTextBreak(char i);
uint16_t CommTextValue(char i);
char CommTextValueCheck(char i);

void CommActionAdd(char command, int32_t param, char action);
void CommAction(void);

void CommRespProc(void);
char CommRespNew(char action);
void CommRespData(char data);
char CommRespAdd(char *src, char len);
void CommRespAddChannel(char channel);
void CommRespAddState(char state);
void CommRespAddValue(uint16_t value);
void CommRespAddTime(uint16_t value);

#define COMMANDS_OUT_CODE				'O'
#define COMMANDS_ALARM_CODE				'A'
#define COMMANDS_IN_CODE				'I'
#define COMMANDS_PASS_CODE				'P'
#define COMMANDS_SETT_CODE				'S'
#define COMMANDS_TIME_CODE				'T'

#define RESP_STATUS_PASS				1
#define RESP_STATUS_ALARM1				2
#define RESP_STATUS_ALARM2				4
#define RESP_STATUS_OUTPUTS				8
#define RESP_STATUS_TIME				16
#define RESP_STATUS_INPUTS				32
#define RESP_STATUS_SETT1				64
#define RESP_STATUS_SETT2				128



#endif /* COMM_H_ */