/*
 * serial.h
 *
 * Created: 2015-09-06 00:24:51
 *  Author: DS
 */ 


#ifndef SERIAL_H_
#define SERIAL_H_

#define SERIAL_WBUFFER_SIZE	96
#define SERIAL_RBUFFER_SIZE	160

#define COM_POSTFIX			0x0D		//\r

#define SERIAL_IDLE			0

void SerialInit(void);
void SerialWBufferAddChar(char data);
char SerialWBufferAdd(char *src);
char SerialWBufferAddLen(char *src, char len);
void SerialWBufferSend(void);
void SerialWBufferNew(void);
void SerialWBufferQuick(char *src);

void SerialSendChar(char data);
void SerialSendMsg(char *data);
void SerialSendVal(uint16_t value);

char SerialRBufferStatus(void);
char SerialRBufferCounter(void);
void SerialRBufferClear(void);
char SerialRBufferChar(char index);
char *SerialRBufferPt(char index);
int16_t SerialRBufferValue(uint16_t index);
char SerialRBufferCharIndex(char data, char num);
char SerialRBufferCharLastIndex(char data, char num);

#endif /* SERIAL_H_ */